Folge 4 – Neues Dokument mit einem Klick

In dieser Episode erstelle ich ein komplettes Makro um neue Teile, Baugruppen oder Zeichnungen mit einem Klick zu öffnen.

Und an dieser Stelle der Code der im Makro vorhanden ist.

Option Explicit
Sub Teil_erstellen()
    'Object Variable definieren für Solidworks und zuweisen
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    
    'Zeichenfolge des Pfades zu meiner Vorlage
    Dim Pfad_zur_Vorlage As String
    
    'Zeichenfolge aus den Systemoptionen auslesen und in die Variable speichern
    Pfad_zur_Vorlage = swApp.GetUserPreferenceStringValue(swUserPreferenceStringValue_e.swDefaultTemplatePart)
    
    'Object Variable definieren für das Teil Dokument und zuweisen
    Dim Part_Document As PartDoc
    Set Part_Document = swApp.NewDocument(Pfad_zur_Vorlage, 0, 0, 0)
    
End Sub
Sub Baugruppe_erstellen()
    'Object Variable definieren für Solidworks und zuweisen
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    'Zeichenfolge des Pfades zu meiner Vorlage
    Dim Pfad_zur_Vorlage As String
    
    'Zeichenfolge aus den Systemoptionen auslesen und in die Variable speichern
    Pfad_zur_Vorlage = swApp.GetUserPreferenceStringValue(swUserPreferenceStringValue_e.swDefaultTemplateAssembly)
    'Object Variable definieren für das Baugruppen Dokument und zuweisen
    Dim Assembly_Document As AssemblyDoc
    Set Assembly_Document = swApp.NewDocument(Pfad_zur_Vorlage, 0, 0, 0)
    
End Sub
Sub Zeichnung_erstellen()
    'Object Variable definieren für Solidworks und zuweisen
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    
    'Zeichenfolge des Pfades zu meiner Vorlage
    Dim Pfad_zur_Vorlage As String
    
    'Zeichenfolge aus den Systemoptionen auslesen und in die Variable speichern
    Pfad_zur_Vorlage = swApp.GetUserPreferenceStringValue(swUserPreferenceStringValue_e.swDefaultTemplateDrawing)
    
    'Object Variable definieren für das Teil Dokument und zuweisen
    Dim Drawing_Document As DrawingDoc
    Set Drawing_Document = swApp.NewDocument(Pfad_zur_Vorlage, 0, 0, 0)
    
End Sub
Code-Sprache: VB.NET (vbnet)

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert